ros-noetic-moveit-ros-manipulation (1.1.16-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 06 Oct 2024 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.15-1focal) focal; urgency=high

  * New implementation for computeCartesianPath (#3618 <https://github.com/ros-planning/moveit/issues/3618>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sun, 08 Sep 2024 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.14-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 26 May 2024 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.13-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 27 Jul 2023 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.12-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 12 May 2023 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.11-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.10-1focal) focal; urgency=high

  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Michael Görner

 -- Michael Görner <me@v4hn.de>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.9-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.8-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.7-1focal) focal; urgency=high

  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof

 -- Michael Görner <me@v4hn.de>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.6-1focal) focal; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Introduce a reference frame for collision objects (#2037 <https://github.com/ros-planning/moveit/issues/2037>)
  * Add missing dependencies to generated dynamic_reconfigure headers (#2772 <https://github.com/ros-planning/moveit/issues/2772>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Felix von Drigalski, Mathias Lüdtke, Robert Haschke, pvanlaar

 -- Michael Görner <me@v4hn.de>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.5-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.4-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.3-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.2-1focal) focal; urgency=high

  * Order PlaceLocations by quality during planning (#2378 <https://github.com/ros-planning/moveit/issues/2378>)
  * Contributors: Markus Vieth

 -- Michael Görner <me@v4hn.de>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.1-1focal) focal; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Michael Görner <me@v4hn.de>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.1.0-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 03 Sep 2020 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.0.6-1focal) focal; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.0.5-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 14 Jul 2020 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.0.4-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 29 May 2020 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.0.3-1focal) focal; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan

 -- Michael Görner <me@v4hn.de>  Sat, 25 Apr 2020 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.0.2-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.0.1-1focal) focal; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Yu, Yan

 -- Michael Görner <me@v4hn.de>  Thu, 07 Mar 2019 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (1.0.0-1focal) focal; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [improve] Remove (redundant) random seeding and #attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. #1288 <https://github.com/ros-planning/moveit/issues/1288>
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 23 Feb 2019 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.10.8-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 23 Dec 2018 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.10.7-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 12 Dec 2018 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.10.6-1focal) focal; urgency=high

  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Code Cleanup (#1196 <https://github.com/ros-planning/moveit/issues/1196>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 08 Dec 2018 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.10.5-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 31 Oct 2018 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.10.4-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.10.3-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.10.2-1focal) focal; urgency=high

  * [fix] Eigen alignment issuses due to missing aligned allocation (#1039 <https://github.com/ros-planning/moveit/issues/1039>)
  * [enhancement] Add info messages to pick and place routine (#1004 <https://github.com/ros-planning/moveit/issues/1004>)
  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Adrian Zwiener, Felix von Drigalski, Mikael Arguedas, Mohmmad Ayman, Robert Haschke, mike lautman

 -- Michael Görner <me@v4hn.de>  Tue, 23 Oct 2018 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.10.1-1focal) focal; urgency=high

  * [maintenance] migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * Contributors: Ian McMahon

 -- Michael Görner <me@v4hn.de>  Thu, 24 May 2018 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.9.11-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 24 Dec 2017 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.9.10-1focal) focal; urgency=high

  * [capability][kinetic onward][moveit_ros_planning_interface] Adapt pick pipeline to function without object (#599 <https://github.com/ros-planning/moveit/issues/599>)
  * Contributors: 2scholz

 -- Michael Görner <me@v4hn.de>  Fri, 08 Dec 2017 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.9.9-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 05 Aug 2017 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.9.8-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 20 Jun 2017 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.9.7-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 04 Jun 2017 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.9.6-1focal) focal; urgency=high

  * [fix] Set planning frame correctly in evaluation of reachable and valid pose filter (#476 <https://github.com/ros-planning/moveit/issues/476>)
  * Contributors: Yannick Jonetzko

 -- Michael Görner <me@v4hn.de>  Tue, 11 Apr 2017 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.9.5-1focal) focal; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * [enhancement] Remove "catch (...)" instances, catch std::exception instead of std::runtime_error (#445 <https://github.com/ros-planning/moveit/issues/445>)
  * Contributors: Bence Magyar, Dave Coleman

 -- Michael Görner <me@v4hn.de>  Tue, 07 Mar 2017 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.9.4-1focal) focal; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * [fix] race conditions when updating PlanningScene (#350 <https://github.com/ros-planning/moveit/issues/350>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sun, 05 Feb 2017 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.9.3-1focal) focal; urgency=high

  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * [enhancement] remove grasp service support from pick_place's fillGrasp (#328 <https://github.com/ros-planning/moveit/issues/328>)
  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon, Michael Goerner

 -- Michael Görner <me@v4hn.de>  Tue, 15 Nov 2016 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.9.2-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 04 Nov 2016 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.6.6-1focal) focal; urgency=high

  * replaced cmake_modules dependency with eigen
  * [jade] eigen3 adjustment
  * Removed trailing whitespace from entire repository
  * Contributors: Dave Coleman, Isaac I.Y. Saito, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Tue, 07 Jun 2016 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.6.5-1focal) focal; urgency=high

  * update maintainers
  * Contributors: Michael Ferguson

 -- Michael Görner <me@v4hn.de>  Fri, 23 Jan 2015 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.6.4-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 19 Dec 2014 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.6.3-1focal) focal; urgency=high

  * trivial fixes for warnings
  * use named logging for manipulation components
  * Contributors: Michael Ferguson

 -- Michael Görner <me@v4hn.de>  Tue, 02 Dec 2014 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.6.2-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 30 Oct 2014 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.6.1-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 30 Oct 2014 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.6.0-1focal) focal; urgency=high

  * Fix bug in place-planning where attached object was not considered in plan.
  * Contributors: Dave Hershberger, Sachin Chitta

 -- Michael Görner <me@v4hn.de>  Sun, 26 Oct 2014 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.19-1focal) focal; urgency=high

  * fixes #461 <https://github.com/ros-planning/moveit_ros/issues/461> and a potential segfault
  * Now check if there is a time for the gripper trajectory.
    If there is a time, use that one on the gripper trajectory, if not, keep
    with the previous strategy of using a default time.
  * Contributors: Michael Ferguson, Sammy Pfeiffer

 -- Michael Görner <me@v4hn.de>  Sun, 22 Jun 2014 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.18-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 22 Mar 2014 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.17-1focal) focal; urgency=high

  * update build system for ROS indigo
  * fix merge
  * refactor how we use params for pick&place
  * set the pose frame so we don't get a crash in approach&translate
  * Contributors: Ioan Sucan

 -- Michael Görner <me@v4hn.de>  Fri, 21 Mar 2014 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.16-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 26 Feb 2014 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.14-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 05 Feb 2014 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.13-1focal) focal; urgency=high

  * ApproachAndTranslateStage dynamic reconfigure bug fixed.
    The bug shows up in test code, where it becomes apparent that creating a ros::NodeHandle
    in a static initializer makes it very difficult to call ros::init() before creating
    the first NodeHandle.
  * Contributors: Dave Hershberger

 -- Michael Görner <me@v4hn.de>  Wed, 05 Feb 2014 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.12-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 02 Jan 2014 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.11-1focal) focal; urgency=high

  * Fixed internal comment.
  * Contributors: Dave Hershberger

 -- Michael Görner <me@v4hn.de>  Thu, 02 Jan 2014 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.10-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 07 Dec 2013 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.9-1focal) focal; urgency=high

  * corrected maintainers email
  * PickPlace: Added comments, renamed variables to be more specific
  * use ROS_ERROR instead of logError

 -- Michael Görner <me@v4hn.de>  Mon, 02 Dec 2013 23:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.8-1focal) focal; urgency=high

  * fix #331 <https://github.com/ros-planning/moveit_ros/issues/331>.
  * try to identify the eef and group based on the attached object name

 -- Michael Görner <me@v4hn.de>  Thu, 10 Oct 2013 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.7-1focal) focal; urgency=high

  * use the fact we know an eef must be defined for the place action to simplify code
  * abort place if eef cannot be determined, fixes #325 <https://github.com/ros-planning/moveit_ros/issues/325>.
  * fix segfault in approach translate

 -- Michael Görner <me@v4hn.de>  Mon, 30 Sep 2013 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.6-1focal) focal; urgency=high

  * dep on manipulation_msgs needs to be added here

 -- Michael Görner <me@v4hn.de>  Wed, 25 Sep 2013 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.5-1focal) focal; urgency=high

  * use new messages for pick & place
  * porting to new RobotState API

 -- Michael Görner <me@v4hn.de>  Sun, 22 Sep 2013 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.4-1focal) focal; urgency=high

  * make headers and author definitions aligned the same way; white space fixes
  * adding manipulation tab, fixed bugs in planning scene interface

 -- Michael Görner <me@v4hn.de>  Tue, 13 Aug 2013 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.2-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 14 Jul 2013 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.1-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 13 Jul 2013 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.5.0-1focal) focal; urgency=high

  * white space fixes (tabs are now spaces)

 -- Michael Görner <me@v4hn.de>  Thu, 11 Jul 2013 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.4.5-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 02 Jul 2013 22:00:00 -0000

ros-noetic-moveit-ros-manipulation (0.4.4-1focal) focal; urgency=high

  * bugfixes

 -- Michael Görner <me@v4hn.de>  Tue, 25 Jun 2013 22:00:00 -0000


